Last Comment Bug 751896 - BasicTiledThebesLayer should use OPERATOR_SOURCE
: BasicTiledThebesLayer should use OPERATOR_SOURCE
Status: RESOLVED FIXED
[qa-]
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: mozilla14
Assigned To: Benoit Girard (:BenWa)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-04 08:03 PDT by Benoit Girard (:BenWa)
Modified: 2012-08-14 08:11 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed
+


Attachments
patch (1.29 KB, patch)
2012-05-04 08:04 PDT, Benoit Girard (:BenWa)
jmuizelaar: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Benoit Girard (:BenWa) 2012-05-04 08:03:43 PDT

    
Comment 1 Benoit Girard (:BenWa) 2012-05-04 08:04:19 PDT
Created attachment 621055 [details] [diff] [review]
patch
Comment 2 Benoit Girard (:BenWa) 2012-05-04 08:05:16 PDT
Low risk perf win, suggesting tracking+uplift.
Comment 4 Benoit Girard (:BenWa) 2012-05-04 12:42:37 PDT
Comment on attachment 621055 [details] [diff] [review]
patch

[Approval Request Comment]
Regression caused by (bug #): Not a regression
User impact if declined: Useless fill affecting peformance
Testing completed (on m-c, etc.): landed on m-c
Risk to taking this patch (and alternatives if risky): very small
String changes made by this patch: none
Comment 5 Ed Morley [:emorley] 2012-05-05 03:39:27 PDT
https://hg.mozilla.org/mozilla-central/rev/c41d847fb36e
Comment 6 Brad Lassey [:blassey] (use needinfo?) 2012-05-06 20:05:11 PDT
(In reply to Benoit Girard (:BenWa) from comment #4)
> Comment on attachment 621055 [details] [diff] [review]
> patch
> 
> [Approval Request Comment]
> Regression caused by (bug #): Not a regression
> User impact if declined: Useless fill affecting peformance
> Testing completed (on m-c, etc.): landed on m-c
> Risk to taking this patch (and alternatives if risky): very small
> String changes made by this patch: none

let's let this bake on trunk for a couple nightlies before uplifting
Comment 7 Alex Keybl [:akeybl] 2012-05-09 16:11:22 PDT
We are leaving all non-beta+ bugs nominated for Aurora approval in the queue until FN14 Beta 1 is signed off on by QA.
Comment 8 Alex Keybl [:akeybl] 2012-05-11 16:46:51 PDT
Comment on attachment 621055 [details] [diff] [review]
patch

[Triage Comment]
Broken WebGL apps, and we're very early in the cycle. Approving for Aurora 14.
Comment 9 Joe Drew (not getting mail) 2012-05-15 12:41:37 PDT
Benoit, can you land this on Aurora?
Comment 10 Benoit Girard (:BenWa) 2012-05-15 12:41:53 PDT
(In reply to Alex Keybl [:akeybl] from comment #8)
> Comment on attachment 621055 [details] [diff] [review]
> patch
> 
> [Triage Comment]
> Broken WebGL apps, and we're very early in the cycle. Approving for Aurora
> 14.

This wont impact WebGL. This just give us a bit better performance.

(In reply to Joe Drew (:JOEDREW!) from comment #9)
> Benoit, can you land this on Aurora?

landing now

Note You need to log in before you can comment on or make changes to this bug.